petsc-3.4.2 2013-07-02

# DMPlexCreateLabel

Create a label of the given name if it does not already exist

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateLabel(DM dm, const char name[])

Not Collective

### Input Parameters

| dm | - The DMPlex object
| name | - The label name

### Keywords

mesh

### See Also

DMLabelCreate(), DMPlexHasLabel(), DMPlexGetLabelValue(), DMPlexSetLabelValue(), DMPlexGetStratumIS()

Level:intermediate
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html